/*
Theme Name: Frost
Theme URI: https://frostwp.com/
Author: Brian Gardner
Author URI: https://briangardner.com/
Description: A block-based theme for designers, developers, and businesses of all sizes.
Tags: accessibility-ready, block-patterns, block-styles, custom-colors, custom-logo, custom-menu, editor-style, featured-images, one-column, theme-options, threaded-comments, wide-blocks
Version: 0.7.0
Template: genesis
Text Domain: frost
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html

This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned with others.
*/


/* Default
---------------------------------------------------------------------------- */

/* Box Sizing
--------------------------------------------- */

html {
	box-sizing: border-box;
	scroll-behavior: smooth;
}

*,
*::before,
*::after {
	box-sizing: inherit;
}

/* Float Clearing
--------------------------------------------- */

.after-entry::before,
.author-box::before,
.clearfix::before,
.entry::before,
.entry-content::before,
.nav-primary::before,
.nav-secondary::before,
.pagination::before,
.site-container::before,
.site-footer::before,
.site-header::before,
.site-inner::before,
.widget::before,
.wrap::before {
	content: " ";
	display: table;
}

.after-entry::after,
.author-box::after,
.clearfix::after,
.entry::after,
.entry-content::after,
.nav-primary::after,
.nav-secondary::after,
.pagination::after,
.site-container::after,
.site-footer::after,
.site-header::after,
.site-inner::after,
.widget::after,
.wrap::after {
	clear: both;
	content: " ";
	display: table;
}

/* Defaults
---------------------------------------------------------------------------- */

/* Typographical Elements
--------------------------------------------- */

body {
	font-family: var(--wp--custom--font-family--primary);
	font-weight: var(--wp--custom--font-weight--regular);
	margin: 0;
	overflow-x: hidden;
}

html {
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

a,
button,
input:focus,
input[type="button"],
input[type="reset"],
input[type="submit"],
textarea:focus {
	transition: all 0.2s ease-in-out;
}

a,
a:focus,
a:hover {
	text-decoration: underline;
	text-decoration-thickness: 1px;
}

a:focus,
a:hover {
	color: var(--wp--preset--color--gray-dark);
}

ol,
ul {
	margin: 0;
	padding: 0;
}

ol,
ul {
	margin-bottom: 30px;
	margin-left: 20px;
}

ol > li {
	list-style-type: decimal;
}

ul > li {
	list-style-type: disc;
}

b,
strong {
	font-weight: var(--wp--custom--font-weight--medium);
}

em,
i {
	font-style: italic;
}

blockquote,
pre {
	margin: 0;
}

/* Site Container
---------------------------------------------------------------------------- */

.site-container {
	animation: fadein 1s;
	word-wrap: break-word;
}

@keyframes fadein {

	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}

}

/* Site Header
---------------------------------------------------------------------------- */

:not(.has-block-widgets).site-header {
	background-color: var(--wp--preset--color--white);
	padding-bottom: 30px;
	padding-top: 30px;
}

.has-black-header :not(.has-block-widgets).site-header {
	background-color: var(--wp--preset--color--black);
}

:not(.has-block-widgets).site-header > .wrap {
	margin-left: auto;
	margin-right: auto;
	max-width: 1260px;
	padding-left: 30px;
	padding-right: 30px;
}

/* Title Area
--------------------------------------------- */

.title-area {
	float: left;
	position: relative;
	z-index: 9999;
}

.site-title {
	font-size: var(--wp--preset--font-size--medium);
	font-weight: var(--wp--custom--font-weight--medium);
	line-height: 1;
	margin-top: 10px;
}

.site-title a,
.site-title a:focus,
.site-title a:hover {
	color: var(--wp--preset--color--black);
	text-decoration: none;
}

.has-black-header .site-title a,
.has-black-header .site-title a:focus,
.has-black-header .site-title a:hover {
	color: var(--wp--preset--color--white);
}

.site-description,
.site-title {
	margin-bottom: 0;
}

.site-description,
.wp-custom-logo .site-title {
	border-width: 0;
	clip: rect(0, 0, 0, 0);
	height: 1px;
	overflow: hidden;
	position: absolute !important;
	width: 1px;
	word-wrap: normal !important;
}

/* Custom Logo
--------------------------------------------- */

.custom-logo {
	height: 40px;
	width: auto;
}

.custom-logo-link {
	display: inline-block;
}

/* Header Menu
---------------------------------------------------------------------------- */

.genesis-nav-menu,
.nav-primary,
.nav-secondary {
	width: 100%;
}

.genesis-nav-menu {
	clear: both;
	margin: 0;
	padding-top: 20px;
}

.genesis-nav-menu a,
.genesis-nav-menu .menu-item {
	display: block;
}

.genesis-nav-menu .menu-item {
	float: none;
	position: relative;
}

.genesis-nav-menu a,
.genesis-nav-menu a:focus,
.genesis-nav-menu a:hover {
	text-decoration: none;
}

.genesis-nav-menu a {
	font-size: var(--wp--preset--font-size--tiny);
	padding-bottom: 5px;
	padding-top: 5px;
}

.has-black-header .genesis-nav-menu a,
.nav-secondary .genesis-nav-menu a {
	color: var(--wp--preset--color--white);
}

.has-black-header .genesis-nav-menu a:focus,
.has-black-header .genesis-nav-menu a:hover,
.nav-secondary .genesis-nav-menu a:focus,
.nav-secondary .genesis-nav-menu a:hover {
	color: var(--wp--preset--color--gray-medium);
}

.genesis-nav-menu .sub-menu,
.genesis-nav-menu .sub-menu a {
	width: 100%;
}

.genesis-nav-menu .sub-menu {
	clear: both;
	display: none;
	left: -9999px;
	margin: 0;
	opacity: 1;
	position: static;
	z-index: 99;
}

.genesis-nav-menu .menu-item:focus,
.genesis-nav-menu .menu-item:hover,
.genesis-nav-menu .sub-menu a {
	position: relative;
}

.genesis-nav-menu .sub-menu a {
	word-wrap: break-word;
}

.genesis-nav-menu .menu-item:hover > .sub-menu {
	display: block;
	left: auto;
	opacity: 1;
}

/* Sub-Header Menu
--------------------------------------------- */

.nav-secondary {
	background-color: var(--wp--preset--color--black);
	padding-bottom: 10px;
	padding-top: 10px;
}

.nav-secondary .wrap {
	margin-left: auto;
	margin-right: auto;
	max-width: 1260px;
	padding-left: 30px;
	padding-right: 30px;
}

/* Responsive Menu
--------------------------------------------- */

.menu .menu-item:focus {
	position: static;
}

.menu .menu-item > a:focus + ul.sub-menu,
.menu .menu-item.sfHover > ul.sub-menu {
	left: auto;
	opacity: 1;
}

.genesis-responsive-menu,
.genesis-responsive-menu .genesis-nav-menu .menu-item:hover > .sub-menu {
	display: none;
}

.genesis-responsive-menu {
	position: relative;
}

.menu-toggle,
.menu-toggle:focus,
.menu-toggle:hover,
.sub-menu-toggle,
.sub-menu-toggle:focus,
.sub-menu-toggle:hover {
	background-color: transparent;
	color: var(--wp--preset--color--black);
}

.has-black-header .menu-toggle,
.has-black-header .menu-toggle:focus,
.has-black-header .menu-toggle:hover,
.has-black-header .sub-menu-toggle,
.has-black-header .sub-menu-toggle:focus,
.has-black-header .sub-menu-toggle:hover {
	color: var(--wp--preset--color--white);
}

.menu-toggle,
.sub-menu-toggle {
	display: block;
	float: right;
	padding: 5px;
	z-index: 1000;
}

.menu-toggle {
	border: 1px solid var(--wp--preset--color--black);
	margin-top: 3px;
	padding-right: 8px;
	position: relative;
	visibility: visible;
}

.has-black-header .menu-toggle {
	border: 1px solid var(--wp--preset--color--white);
}

.sub-menu-toggle {
	border: none;
	position: absolute;
	right: 0;
	top: 0;
}

.sub-menu-toggle:focus,
.sub-menu-toggle:hover {
	border: none;
}

.menu-toggle::before,
.sub-menu-toggle::before {
	float: left;
	font-size: 12px;
	margin-top: 2px;
	width: 15px;
}

.has-black-header .menu-toggle::before,
.has-black-header .menu-toggle.activated::before,
.has-black-header .sub-menu-toggle::before,
.has-black-header .sub-menu-toggle.activated::before {
	color: var(--wp--preset--color--white);
}

.menu-toggle::before {
	content: "\002B";
}

.menu-toggle.activated::before {
	content: "\2013";
}

.sub-menu-toggle::before {
	content: "\002B";
}

.sub-menu-toggle.activated::before {
	content: "\2013";
}

/* Site Inner
---------------------------------------------------------------------------- */

.site-inner {
	clear: both;
	margin-bottom: 40px;
	margin-top: 40px;
}

.canvas-page .site-inner,
.genesis-title-hidden .site-inner {
	margin-bottom: 0;
	margin-top: 0;
}

.site-inner > .wrap {
	margin-left: auto;
	margin-right: auto;
	max-width: 720px;
	padding-left: 30px;
	padding-right: 30px;
}

.wide-page .site-inner > .wrap {
	max-width: 1260px;
}

/* Entry
---------------------------------------------------------------------------- */

/* Entry Content
--------------------------------------------- */

.entry {
	margin-bottom: 40px;
}

.entry:last-of-type,
.entry-content p:last-child {
	margin-bottom: 0;
}

.entry-content .gist {
	margin-bottom: 30px;
}

/* Pricing Table
--------------------------------------------- */

.pricing-table {
	margin: 0;
	text-align: center;
}

.pricing-table > li {
	border-bottom: 1px solid var(--wp--preset--color--gray-light);
	list-style-type: none;
	margin-bottom: 10px;
	padding-bottom: 10px;
}

/* Entry Headings
--------------------------------------------- */

h1, h2, h3, h4, h5, h6 {
	font-weight: var(--wp--custom--font-weight--medium);
}

h1.has-background,
h2.has-background,
h3.has-background,
h4.has-background,
h5.has-background,
h6.has-background {
	margin-bottom: 0;
	padding: 20px;
}

/* Entry Meta
--------------------------------------------- */

.entry-footer,
.entry-header {
	margin-bottom: 30px;
}

.entry-footer {
	margin-top: 30px;
}

.entry-meta {
	font-size: var(--wp--preset--font-size--tiny);
	margin-bottom: 0;
}

.entry-categories,
.entry-tags {
	display: block;
}

.entry-comments-link::before {
	content: "\2014";
	margin-right: 5px;
}

/* Entry Pagination
--------------------------------------------- */

.pagination {
	clear: both;
	font-size: var(--wp--preset--font-size--tiny);
}

.pagination .alignleft,
.pagination .alignright {
	display: inline-block;
}

.pagination .alignleft {
	float: left;
}

.pagination .alignright,
.pagination .pagination-next {
	float: right;
}

.archive-pagination li {
	display: inline;
}

.archive-pagination li a {
	border: 1px solid var(--wp--preset--color--black);
	color: var(--wp--preset--color--black);
	cursor: pointer;
	display: inline-block;
	margin-bottom: 4px;
	padding: 5px 10px;
	text-decoration: none;
}

.archive-pagination li a:focus,
.archive-pagination li a:hover,
.archive-pagination li.active a {
	background-color: var(--wp--preset--color--black);
	color: var(--wp--preset--color--white);
}

/* Entry Comments
--------------------------------------------- */

.entry-comments,
.entry-pings {
	margin-bottom: 30px;
}

.comment-list,
.comment-list .children {
	margin: 0;
}

.comment-list li {
	list-style-type: none;
	margin-bottom: 0;
	padding: 30px 0 0 30px;
}

.comment-list .depth-1 {
	padding-left: 0;
}

.comment-form-cookies-consent label,
.comment-header {
	font-size: var(--wp--preset--font-size--tiny);}

.comment-content {
	clear: both;
}

.comment-respond label {
	display: block;
}

.comment-header p,
.comment-respond .form-submit {
	margin-bottom: 0;
}

.comment-form-cookies-consent label {
	display: inline;
}

/* Objects
--------------------------------------------- */

embed,
iframe,
object,
video {
	max-width: 100%;
}

figure {
	margin: 0;
}

/* Inputs
--------------------------------------------- */

input,
select,
textarea,
.wp-block-search .wp-block-search__input {
	background-color: var(--wp--preset--color--white);
	border: 1px solid var(--wp--preset--color--black);
	border-radius: 0;
	color: var(--wp--preset--color--black);
	font-family: var(--wp--custom--font-family--primary);
	font-size: var(--wp--preset--font-size--small);
	font-weight: var(--wp--custom--font-weight--regular);
	line-height: var(--wp--preset--line-height--body);
	padding: 10px 20px;
	width: 100%;
}

input:focus,
textarea:focus {
	background-color: var(--wp--preset--color--gray-light);
}

input[type="checkbox"],
input[type="image"],
input[type="radio"] {
	width: auto;
}

input[type="button"],
input[type="email"],
input[type="search"],
input[type="submit"],
input[type="text"],
textarea {
	-webkit-appearance: none;
}

::placeholder {
	color: var(--wp--preset--color--black);
	opacity: 0.6;
}

/* Buttons
--------------------------------------------- */

button,
input[type="button"],
input[type="submit"],
.wp-block-button__link,
.wp-block-search .wp-block-search__button {
	border: 1px solid var(--wp--preset--color--black);
	font-weight: var(--wp--custom--font-weight--medium);
}

button,
input[type="button"],
input[type="submit"],
.wp-block-search .wp-block-search__button {
	background-color: var(--wp--preset--color--black);
	color: var(--wp--preset--color--white);
	cursor: pointer;
	font-family: var(--wp--custom--font-family--primary);
	font-size: var(--wp--preset--font-size--tiny);
	padding: 10px 25px;
	text-decoration: none;
	white-space: normal;
	width: auto;
}

button:focus,
button:hover,
input[type="button"]:focus,
input[type="button"]:hover,
input[type="submit"]:focus,
input[type="submit"]:hover,
.wp-block-button__link:focus,
.wp-block-button__link:hover,
.wp-block-search__button:focus,
.wp-block-search__button:hover {
	background-color: transparent;
	border: 1px solid var(--wp--preset--color--black);
	color: var(--wp--preset--color--black);
	text-decoration: none;
}

.wp-block-button__link.has-background:focus,
.wp-block-button__link.has-background:hover {
	color: var(--wp--preset--color--white);
	filter: brightness(110%);
}

.wp-block-button__link.has-black-color.has-background:focus,
.wp-block-button__link.has-black-color.has-background:hover {
	color: var(--wp--preset--color--black);
}

/* Buttons - Fill
--------------------------------------------- */

.wp-block-button__link.has-accent-background-color:focus,
.wp-block-button__link.has-accent-background-color:hover {
	background-color: var(--wp--preset--color--accent);
}

.wp-block-button__link.has-dark-gray-background-color:focus,
.wp-block-button__link.has-dark-gray-background-color:hover {
	background-color: var(--wp--preset--color--gray-dark);
}

.wp-block-button__link.has-light-gray-background-color:focus,
.wp-block-button__link.has-light-gray-background-color:hover {
	background-color: var(--wp--preset--color--gray-light);
}

.wp-block-button__link.has-medium-gray-background-color:focus,
.wp-block-button__link.has-medium-gray-background-color:hover {
	background-color: var(--wp--preset--color--gray-medium);
}

/* Buttons - Fill White
--------------------------------------------- */

.is-style-fill-white .wp-block-button__link {
	background-color: var(--wp--preset--color--white);
	border: 1px solid var(--wp--preset--color--white);
	color: var(--wp--preset--color--black);
}

.is-style-fill-white .wp-block-button__link:focus,
.is-style-fill-white .wp-block-button__link:hover {
	background-color: transparent;
	border: 1px solid var(--wp--preset--color--white);
	color: var(--wp--preset--color--white);
}

/* Buttons - Outline
--------------------------------------------- */

.wp-block-button.is-style-outline .wp-block-button__link {
	background-color: transparent;
	border: 1px solid;
	border-color: currentColor;
	color: var(--wp--preset--color--black);
	padding: 10px 25px;
}

.wp-block-button.is-style-outline .wp-block-button__link.has-accent-color,
.wp-block-button.is-style-outline .wp-block-button__link.has-accent-color:focus,
.wp-block-button.is-style-outline .wp-block-button__link.has-accent-color:hover {
	color: var(--wp--preset--color--accent);
}

.wp-block-button.is-style-outline .wp-block-button__link.has-dark-gray-color,
.wp-block-button.is-style-outline .wp-block-button__link.has-dark-gray-color:focus,
.wp-block-button.is-style-outline .wp-block-button__link.has-dark-gray-color:hover {
	color: var(--wp--preset--color--gray-dark);
}

.wp-block-button.is-style-outline .wp-block-button__link.has-light-gray-color,
.wp-block-button.is-style-outline .wp-block-button__link.has-light-gray-color:focus,
.wp-block-button.is-style-outline .wp-block-button__link.has-light-gray-color:hover {
	color: var(--wp--preset--color--gray-light);
}

.wp-block-button.is-style-outline .wp-block-button__link.has-medium-gray-color,
.wp-block-button.is-style-outline .wp-block-button__link.has-medium-gray-color:focus,
.wp-block-button.is-style-outline .wp-block-button__link.has-medium-gray-color:hover {
	color: var(--wp--preset--color--gray-medium);
}

.wp-block-button.is-style-outline .wp-block-button__link:focus,
.wp-block-button.is-style-outline .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--black);
	border-color: var(--wp--preset--color--black);
	color: var(--wp--preset--color--white);
}

/* Buttons - Outline White
--------------------------------------------- */

.wp-block-button.is-style-outline-white .wp-block-button__link {
	background-color: transparent;
	border: 1px solid;
	border-color: var(--wp--preset--color--white);
	color: var(--wp--preset--color--white);
}

.wp-block-button.is-style-outline-white .wp-block-button__link:focus,
.wp-block-button.is-style-outline-white .wp-block-button__link:hover {
	background-color: var(--wp--preset--color--white);
	color: var(--wp--preset--color--black);
}

/* Buttons - Custom Size
--------------------------------------------- */

.is-style-large .wp-block-button__link {
	padding: 15px 30px;
}

.is-style-small .wp-block-button__link {
	padding: 5px 10px;
}

/* Buttons - Misc
--------------------------------------------- */

.wp-block-buttons .wp-block-button {
	margin-bottom: 0;
}

.wp-block-buttons .wp-block-button__width-100 {
	margin-bottom: 10px;
}

/* Search Form
--------------------------------------------- */

.search-form .search-form-input {
	margin-bottom: 10px;
}

/* Ninja Forms
--------------------------------------------- */

.entry-content .nf-field-container {
	margin-bottom: 10px;
}

/* WPForms
--------------------------------------------- */

.entry-content .wpforms-container .wpforms-field {
	padding: 0 0 10px;
}

/* Block Editor
---------------------------------------------------------------------------- */

/* Border
--------------------------------------------- */

.has-accent-border-color {
	border-color: var(--wp--preset--color--accent);
}

.has-black-border-color {
	border-color: var(--wp--preset--color--black);
}

.has-gray-dark-border-color {
	border-color: var(--wp--preset--color--gray-dark);
}

.has-gray-light-border-color {
	border-color: var(--wp--preset--color--gray-light);
}

.has-gray-medium-border-color {
	border-color: var(--wp--preset--color--gray-medium);
}

.has-white-border-color {
	border-color: var(--wp--preset--color--white);
}

/* Calendar
--------------------------------------------- */

.wp-block-calendar table caption,
.wp-block-calendar table tbody {
	color: var(--wp--preset--color--black);
}

.wp-block-calendar table th {
	background-color: var(--wp--preset--color--black);
	color: var(--wp--preset--color--white);
}

.wp-block-calendar tbody td,
.wp-block-calendar th {
	border: 1px solid var(--wp--preset--color--black);
	padding: 10px;
}

/* Caption
--------------------------------------------- */

.wp-block-embed figcaption,
.wp-block-gallery figcaption,
.wp-block-image figcaption,
.wp-block-pullquote figcaption,
.wp-block-quote figcaption,
.wp-block-table figcaption {
	font-size: var(--wp--preset--font-size--tiny);
	margin-bottom: 0;
	margin-top: 10px;
	text-align: center;
}

.wp-block-gallery figcaption {
	margin-top: 0;
}

/* Code
--------------------------------------------- */

.wp-block-code {
	font-family: var(--wp--custom--font-family--monospace);
}

.wp-block-code code {
	overflow-wrap: normal;
	overflow-x: scroll;
	white-space: pre;
}

/* Columns
--------------------------------------------- */

.wp-block-column:last-child {
	margin-bottom: 0;
}

/* Drop Cap
--------------------------------------------- */

p.has-drop-cap:not(:focus)::first-letter {
	float: left;
	font-size: 70px;
	font-weight: var(--wp--custom--font-weight--regular);
	line-height: 1;
	margin: 0 10px 0 0;
	text-transform: uppercase;
}

p.has-drop-cap:not(:focus):after {
	padding-top: 0;
}

@-moz-document url-prefix() {

	.has-drop-cap:first-letter {
		padding: 10px 2px 0 0;
	}

}

/* Cover
--------------------------------------------- */

.wp-block-cover.alignfull,
.wp-block-cover.alignwide {
	width: auto;
}

/* Groups
--------------------------------------------- */

.wp-block-group.is-full-height {
	align-items: center;
	display: grid;
	min-height: 100vh;
}

/* Has Background
--------------------------------------------- */

p.has-background {
	padding: 20px 30px;
}

/* Images
--------------------------------------------- */

img {
	height: auto;
	max-width: 100%;
	vertical-align: top;
}

.wp-block-image .alignleft {
	margin-right: 30px;
}

.wp-block-image .alignright {
	margin-left: 30px;
}

/* Preformatted
--------------------------------------------- */

.wp-block-preformatted {
	font-family: var(--wp--custom--font-family--monospace);
	overflow-x: scroll;
	white-space: pre;
}

/* Pullquote
--------------------------------------------- */

.wp-block-pullquote,
.wp-block-pullquote.is-style-solid-color blockquote {
	max-width: 100%;
	text-align: center;
}

.wp-block-pullquote,
.wp-block-pullquote.is-style-solid-color {
	border: 1px solid var(--wp--preset--color--black);
}

.wp-block-pullquote.alignleft,
.wp-block-pullquote.alignright {
	max-width: 100%;
}

.wp-block-pullquote p,
.wp-block-pullquote.alignleft p,
.wp-block-pullquote.alignright p,
.wp-block-pullquote.is-style-solid-color p,
.wp-block-pullquote.is-style-solid-color blockquote p {
	font-size: var(--wp--preset--font-size--medium);
	line-height: var(--wp--custom--line-height--smaller);
	margin-bottom: 0;
}

.wp-block-pullquote cite {
	display: block;
	font-size: var(--wp--preset--font-size--tiny);
	font-style: inherit;
	margin-top: 10px;
}

/* Query
--------------------------------------------- */

.wp-block-query ul {
	margin-left: 0;
}

.wp-block-query ul li {
	list-style-type: none;
}

/* Quote
--------------------------------------------- */

.wp-block-quote:not(.has-text-align-center):not(.has-text-align-right) {
	border-left: 5px solid var(--wp--preset--color--black);
	padding-left: 25px;
}

.wp-block-quote.has-text-align-right {
	border-right: 5px solid var(--wp--preset--color--black);
	padding-right: 25px;
}

.wp-block-quote p,
.wp-block-quote.is-style-large p {
	margin-bottom: 0;
}

.wp-block-quote cite,
.wp-block-quote.is-style-large p,
.wp-block-quote.is-style-large cite {
	font-style: inherit;
}

.wp-block-quote.is-style-large p {
	font-size: var(--wp--preset--font-size--large);
	line-height: var(--wp--custom--line-height--medium);
}

.wp-block-quote cite,
.wp-block-quote.is-style-large cite {
	display: block;
	font-size: var(--wp--preset--font-size--tiny);
	margin-top: 10px;
	text-align: inherit;
}

/* Separator
--------------------------------------------- */

.wp-block-separator {
	border-color: currentColor;
	border-top: none;
	padding: 0;
}

.wp-block-separator.is-style-dots:before {
	font-family: var(--font-family-regular);
	font-size: var(--wp--preset--font-size--medium);
	letter-spacing: 10px;
	padding-left: 0;
}

.wp-block-separator:not(.is-style-wide):not(.is-style-dots) {
	max-width: 150px;
}

/* Social Icons
--------------------------------------------- */

ul.wp-block-social-links.aligncenter .wp-social-link.wp-social-link.wp-social-link {
	margin: 0 5px;
}

/* Table
--------------------------------------------- */

.wp-block-table.is-style-stripes {
	border-bottom: none;
}

.wp-block-table table {
	border-collapse: collapse;
}

.wp-block-table thead {
	border-bottom: 3px solid var(--wp--preset--color--black);
}

.wp-block-table tfoot {
	border-top: 3px solid var(--wp--preset--color--black);
}

.wp-block-table td,
.wp-block-table th,
.wp-block-table tr,
.wp-block-table.is-style-stripes td,
.wp-block-table.is-style-stripes th,
.wp-block-table.is-style-stripes tr {
	border: 1px solid var(--wp--preset--color--black);
}

.wp-block-table th {
	font-weight: var(--wp--custom--font-weight--medium);
}

.wp-block-table td,
.wp-block-table th {
	padding: 5px;
}

.wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
	background-color: var(--wp--preset--color--gray-light);
}

/* Wide/Full Alignment
--------------------------------------------- */

.entry-content .alignfull {
	margin-left: calc(-100vw / 2 + 100% / 2);
	margin-right: calc(-100vw / 2 + 100% / 2);
	max-width: 100vw;
}

.wp-block-group.alignfull {
	padding-left: 30px;
	padding-right: 30px;
}

/* Common Classes
---------------------------------------------------------------------------- */

/* Avatar
--------------------------------------------- */

.avatar {
	border-radius: 50%;
	margin-bottom: 20px;
}

.comment .avatar {
	float: left;
	margin-right: 15px;
}

/* Genesis
--------------------------------------------- */

.after-entry,
.archive-description,
.author-box {
	margin-bottom: 30px;
}

.author-box {
	border: 1px solid var(--wp--preset--color--black);
	padding: 20px 30px;
	text-align: center;
}

.breadcrumb {
	font-size: var(--wp--preset--font-size--tiny);
	margin-bottom: 60px;
}

.archive-description p:last-of-type,
.author-box p:last-of-type {
	margin-bottom: 0;
}

/* Accessability
---------------------------------------------------------------------------- */

:focus {
	color: var(--wp--preset--color--black);
	outline: none;
}

.site-container .sr-only {
	height: 1px;
	left: -10000px;
	overflow: hidden;
	position: absolute;
	top: auto;
	width: 1px;
}

/* Genesis Skip Link
--------------------------------------------- */

.genesis-skip-link {
	margin: 0;
}

.genesis-skip-link .skip-link-hidden {
	display: none;
	visibility: hidden;
}

.genesis-skip-link li {
	height: 0;
	list-style: none;
	width: 0;
}

/* Screen Reader Text
--------------------------------------------- */

.screen-reader-shortcut,
.screen-reader-text,
.screen-reader-text span {
	border-width: 0;
	clip: rect(0, 0, 0, 0);
	font-size: var(--wp--preset--font-size--tiny);
	height: 1px;
	overflow: hidden;
	position: absolute !important;
	width: 1px;
	word-wrap: normal !important;
}

.screen-reader-text:focus,
.screen-reader-shortcut:focus,
.widget_search input[type="submit"]:focus {
	background: var(--wp--preset--color--white);
	border: 1px solid var(--wp--preset--color--black);
	clip: auto !important;
	color: var(--wp--preset--color--black);
	display: block;
	height: auto;
	padding: 15px 20px;
	text-decoration: none;
	width: auto;
	z-index: 100000;
}

/* Site Footer
---------------------------------------------------------------------------- */

:not(.has-block-widgets).site-footer {
	padding-bottom: 30px;
	padding-top: 30px;
	text-align: center;
}

:not(.has-block-widgets).site-footer .wrap {
	margin-left: auto;
	margin-right: auto;
	max-width: 1260px;
	padding-left: 30px;
	padding-right: 30px;
}

.site-footer p {
	font-size: var(--wp--preset--font-size--tiny);
}

.site-footer p:last-of-type {
	margin-bottom: 0;
}

/* Magic Classes
---------------------------------------------------------------------------- */

/* Border (Black)
--------------------------------------------- */

.has-black-border {
	border: 1px solid var(--wp--preset--color--black);
}

.has-black-bottom-border {
	border-bottom: 1px solid var(--wp--preset--color--black);
}

.has-black-left-border {
	border-left: 1px solid var(--wp--preset--color--black);
}

.has-black-right-border {
	border-right: 1px solid var(--wp--preset--color--black);
}

.has-black-top-border {
	border-top: 1px solid var(--wp--preset--color--black);
}

.has-black-outline {
	outline: 1px solid var(--wp--preset--color--black);
	outline-offset: -10px;
}

/* Border (White)
--------------------------------------------- */

.has-white-border {
	border: 1px solid var(--wp--preset--color--white);
}

.has-white-bottom-border {
	border-bottom: 1px solid var(--wp--preset--color--white);
}

.has-white-left-border {
	border-left: 1px solid var(--wp--preset--color--white);
}

.has-white-right-border {
	border-right: 1px solid var(--wp--preset--color--white);
}

.has-white-top-border {
	border-top: 1px solid var(--wp--preset--color--white);
}

.has-white-outline {
	outline: 1px solid var(--wp--preset--color--white);
	outline-offset: -10px;
}

/* Boxshadow
--------------------------------------------- */

.has-boxshadow {
	box-shadow: 0 0 50px rgb(0 0 0 / 10%);
}

.has-solid-boxshadow {
	box-shadow: 5px 5px var(--wp--preset--color--black);
}

/* Margin
--------------------------------------------- */

.has-extra-margin {
	margin-bottom: 20px;
	margin-top: 40px;
}

.has-no-bottom-margin {
	margin-bottom: 0 !important;
}

/* Text Background
--------------------------------------------- */

.has-text-black-background {
	background-color: var(--wp--preset--color--black);
	display: inline;
}

/* Text Transform
--------------------------------------------- */

.is-style-lowercase {
	text-transform: lowercase;
}

.is-style-uppercase {
	text-transform: uppercase;
}

/* Media Queries
---------------------------------------------------------------------------- */

@media only screen and (max-width: 800px) {

	/* Spacer
	--------------------------------------------- */

	.wp-block-spacer {
		max-height: 60px;
	}

}

@media only screen and (min-width: 800px) {

	/* Site Header
	--------------------------------------------- */

	:not(.has-block-widgets).site-header {
		min-height: 100px;
		position: -webkit-sticky;
		position: sticky;
		top: 0;
		transition: top 0.5s ease-in-out;
		width: 100%;
		z-index: 9999;
	}

	:not(.has-block-widgets).site-header.hidden {
		top: -100px;
	}

	/* Title Area
	--------------------------------------------- */

	.title-area {
		width: 25%;
	}

	/* Genesis Menu
	--------------------------------------------- */

	.genesis-nav-menu {
		font-size: 0;
		padding-top: 0;
	}

	.genesis-nav-menu li {
		float: none;
		list-style-type: none;
	}

	.genesis-nav-menu li.is-style-outline,
	.genesis-nav-menu li.is-style-fill {
		margin-left: 10px;
	}

	.genesis-nav-menu li.is-style-outline a {
		border: 1px solid var(--wp--preset--color--black);
	}

	.has-black-header .genesis-nav-menu li.is-style-outline a {
		border: 1px solid var(--wp--preset--color--white);
	}

	.genesis-nav-menu li.is-style-fill a {
		background-color: var(--wp--preset--color--black);
		border: 1px solid var(--wp--preset--color--black);
		color: var(--wp--preset--color--white);
	}

	.has-black-header .genesis-nav-menu li.is-style-fill a {
		background-color: var(--wp--preset--color--white);
		border: 1px solid var(--wp--preset--color--white);
		color: var(--wp--preset--color--black);
	}

	.genesis-nav-menu li.is-style-outline a:focus,
	.genesis-nav-menu li.is-style-outline a:hover {
		background-color: var(--wp--preset--color--black);
		color: var(--wp--preset--color--white);
	}

	.has-black-header .genesis-nav-menu li.is-style-outline a:focus,
	.has-black-header .genesis-nav-menu li.is-style-outline a:hover {
		background-color: var(--wp--preset--color--white);
		color: var(--wp--preset--color--black);
	}

	.genesis-nav-menu li.is-style-fill a:focus,
	.genesis-nav-menu li.is-style-fill a:hover {
		border: 1px solid var(--wp--preset--color--black);
		background-color: var(--wp--preset--color--white);
		color: var(--wp--preset--color--black);
	}

	.has-black-header .genesis-nav-menu li.is-style-fill a:focus,
	.has-black-header .genesis-nav-menu li.is-style-fill a:hover {
		border: 1px solid var(--wp--preset--color--white);
		background-color: var(--wp--preset--color--black);
		color: var(--wp--preset--color--white);
	}
	
	.genesis-nav-menu li li {
		margin-left: 0;
	}

	.genesis-nav-menu a {
		padding-left: 10px;
		padding-right: 10px;
	}

	.genesis-nav-menu .menu-item {
		display: inline-block;
	}

	.genesis-nav-menu .menu-item:hover {
		position: static;
	}

	.genesis-nav-menu .menu-item:hover > .sub-menu {
		left: auto;
		opacity: 1;
	}

	.genesis-nav-menu .sub-menu,
	.genesis-nav-menu .sub-menu a {
		width: 160px;
	}

	.genesis-nav-menu .sub-menu {
		background-color: var(--wp--preset--color--black);
		left: -9999px;
		opacity: 0;
		padding-bottom: 8px;
		padding-top: 8px;
		position: absolute;
		transition: opacity 0.5s ease-in-out;
		z-index: 99;
	}

	.genesis-nav-menu .sub-menu .sub-menu::before {
		display: none;
	}

	.genesis-nav-menu .sub-menu a {
		color: var(--wp--preset--color--white);
		margin: 0;
		padding: 2px 15px;
		position: relative;
		text-align: left;
	}

	.genesis-nav-menu .sub-menu a:focus,
	.genesis-nav-menu .sub-menu a:hover {
		color: var(--wp--preset--color--gray-medium);
	}

	/* Responsive Menu
	--------------------------------------------- */

	.genesis-responsive-menu {
		display: block;
	}

	.menu-toggle,
	.sub-menu-toggle {
		display: none;
		visibility: hidden;
	}

	/* Header Menu
	--------------------------------------------- */

	.nav-primary {
		float: right;
		text-align: right;
		width: 75%;
	}

	/* Site-Inner
	--------------------------------------------- */

	.site-inner {
		margin-bottom: 60px;
		margin-top: 60px;
	}

	.has-black-header .site-inner {
		margin-bottom: 80px;
		margin-top: 80px;
	}

	.canvas-page.has-black-header .site-inner,
	.genesis-title-hidden.has-black-header .site-inner {
		margin-bottom: 0;
		margin-top: 0;
	}

	/* Entry Misc.
	--------------------------------------------- */

	.after-entry,
	.archive-description,
	.author-box,
	.entry,
	.entry-comments,
	.entry-pings {
		margin-bottom: 60px;
	}

	.author-box {
		padding: 40px 60px;
	}

	/* Buttons
	--------------------------------------------- */

	.wp-block-buttons:last-of-type {
		margin-bottom: 0;
	}

	/* Columns
	--------------------------------------------- */

	.wp-block-column {
		margin-bottom: 0;
	}

	.wp-block-column:not(:first-child) {
		margin-left: 5%;
	}

	.has-larger-left-margin .wp-block-column:not(:first-child) {
		margin-left: 10%;
	}

	.has-smaller-left-margin .wp-block-column:not(:first-child) {
		margin-left: 2.5%;
	}

	.has-no-left-margin .wp-block-column:not(:first-child) {
		margin-left: 0;
	}

	/* Pullquote
	--------------------------------------------- */
	
	.wp-block-pullquote.alignleft,
	.wp-block-pullquote.alignright {
		max-width: 300px;
	}
	
	.wp-block-pullquote.alignleft {
		float: left;
		margin-left: -100px;
		margin-right: 30px;
	}
	
	.wp-block-pullquote.alignright {
		float: right;
		margin-left: 30px;
		margin-right: -100px;
	}

	/* Wide/Full Alignment
	--------------------------------------------- */

	.page .entry-content .alignwide,
	.single .entry-content .alignwide {
		margin-left: -270px;
		margin-right: -270px;
		max-width: 1200px;
	}

	.wide-page .entry-content .alignwide {
		margin-left: auto;
		margin-right: auto;
	}

}
